curl --request POST \
--url https://api.hubapi.com/crm/v3/properties/{objectType}/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"archived": true,
"dataSensitivity": "highly_sensitive",
"inputs": [
{
"name": "my_custom_property"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"displayOrder": 2,
"fieldType": "select",
"formField": true,
"groupName": "contactinformation",
"hasUniqueValue": false,
"hidden": false,
"label": "My Contact Property",
"modificationMetadata": {
"archivable": true,
"readOnlyDefinition": false,
"readOnlyOptions": false,
"readOnlyValue": false
},
"name": "my_contact_property",
"options": [
{
"description": "Choice number one",
"displayOrder": 1,
"hidden": false,
"label": "Option A",
"value": "A"
},
{
"description": "Choice number two",
"displayOrder": 2,
"hidden": false,
"label": "Option B",
"value": "B"
}
],
"type": "enumeration"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}curl --request POST \
--url https://api.hubapi.com/crm/v3/properties/{objectType}/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"archived": true,
"dataSensitivity": "highly_sensitive",
"inputs": [
{
"name": "my_custom_property"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"displayOrder": 2,
"fieldType": "select",
"formField": true,
"groupName": "contactinformation",
"hasUniqueValue": false,
"hidden": false,
"label": "My Contact Property",
"modificationMetadata": {
"archivable": true,
"readOnlyDefinition": false,
"readOnlyOptions": false,
"readOnlyValue": false
},
"name": "my_contact_property",
"options": [
{
"description": "Choice number one",
"displayOrder": 1,
"hidden": false,
"label": "Option A",
"value": "A"
},
{
"description": "Choice number two",
"displayOrder": 2,
"hidden": false,
"label": "Option B",
"value": "B"
}
],
"type": "enumeration"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Productos compatibles
Ámbitos Requeridos
The access token received from the authorization server in the OAuth 2.0 flow.
El tipo de objeto para el que se están leyendo las propiedades.
Especifica la configuración regional del idioma para los valores de la propiedad.
Especifica si la propiedad está archivada.
Indica el nivel de sensibilidad de los datos, como "non_sensitive", "sensitive" o "highly_sensitive".
highly_sensitive, non_sensitive, sensitive Show child attributes
successful operation
La marca de tiempo que indica cuándo se completó la operación por lotes.
Show child attributes
La marca de tiempo que indica cuándo comenzó a procesarse la operación por lotes.
El estado actual de la operación por lotes, con los siguientes valores posibles: CANCELED, COMPLETE, PENDING o PROCESSING.
CANCELED, COMPLETE, PENDING, PROCESSING Show child attributes
Una colección de URL que se enlazan con documentación o recursos relacionados con la operación por lotes.
Show child attributes
El número total de errores encontrados durante la operación por lotes.
La marca de tiempo que indica cuándo se solicitó la operación por lotes.